require("cmd_helpers")
require("dahua_base")

caps = {
    requests = {
        ["device.ctl.relay_output.trigger"] = {
            handler = "trigger_relay_output"
        }
    }
}

function trigger_relay_output_impl(state, port)
    local alarm_mode = (state == relay.ACTIVE and "1" or "2")
    local url = string.format("cgi-bin/configManager.cgi?action=setConfig&AlarmOut[%s].Mode=%s", port, alarm_mode)
    local response = http_request(url)
    if response and response:find("OK") then
        return true
    end
end

function trigger_relay_output(cmd)
    return relay.trigger_output(cmd, trigger_relay_output_impl)
end

init()