require("isapi_base")

caps = {
    requests = {
        ["device.ctl.digital_input.status"] = {
            handler = "digital_input_status"
        }
    }
}

function digital_input_status(cmd)
    local port = cmd.args.port
    local fullList = false
    if cmd.args.port == nil then
        fullList = true
    end

    local portList, code = request_alarm_inputs_info(true, fullList, port)

    if code ~= http_request.OK_CODE then
        return {status = code , reason = "Error"}
    end

    if portList == nil then
        return {status = 404, reason = reason or "Not found"}
    end

    return {status = 200, reason = "OK", result = portList}
end

init()